Subject: Re: [PATCH 0/3] gnu: gnunet: Update to 0.14.1-77fd866..

From: Maxime Devos <[email-masked]>
Date: Fri, 21 May 2021 08:23:57 +0200

Brendan Tildesley schreef op vr 21-05-2021 om 02:14 [+0200]:
> > On 05/20/2021 9:16 PM Maxime Devos <[email-masked]> wrote:
> > 
> >  
> > One test is failing for me (test_setu_api). I'll rebuild with --keep-failed
> > and send src/setu/test-suite.log. Otherwise no problems.
> 
> Did you try the v3?

I couldn't find all the v4 patches (only [PATCH v4 2/3]) so I had to piece a
few together. I thought I sent a mail asking whether I got the correct patches
but apparently I didn't. It would be best if you resent the patch series.

>  Although it should be the same. That test is supposed to be disabled. 

Looking at the code, it should

            ;; Test may be broken: https://bugs.gnunet.org/view.php?id=6114
            (substitute* "src/setu/Makefile"
              (("test_setu_api ") ""))

> Maybe the substitute I added didn't actually disable it properly and the test doesn't fail 100%
> of the time. I'm building it again.

In any case, I re-ran with "--keep-failed", and this time got a different failing test:

$ cat /tmp/guix-build-gnunet-0.14.1-00c2115.drv-0/source/src/testbed/test_testbed_underlay.log 
May 20 20:42:55-459013 test_testbed_underlay-9591 WARNING Peers 0 and 2 should not get connected
May 20 20:42:55-461567 ats-9620 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
May 20 20:42:55-461939 ats-9624 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
May 20 20:42:55-463838 transport-api-core-9616 ERROR Error receiving from transport service (1), disconnecting temporarily.
May 20 20:42:55-466559 transport-api-core-9606 ERROR Error receiving from transport service (1), disconnecting temporarily.
May 20 20:42:55-466716 transport-api-core-9606 ERROR Error receiving from transport service (1), disconnecting temporarily.
May 20 20:42:55-466740 transport-api-core-9606 ERROR Error receiving from transport service (1), disconnecting temporarily.
FAIL test_testbed_underlay (exit status: 1)

Greetings,
Maxime.